ibxm

## Class Sample

- java.lang.Object
- - ibxm.Sample

-     public class Sample
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `int` | `panning`
    `boolean` | `set_panning`
    `int` | `transpose`
    `int` | `volume`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Sample()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `has_finished(int sample_idx)`
    `void` | `resample_linear(int sample_idx, int sample_frac, int step, int left_gain, int right_gain, int[] mix_buffer, int frame_offset, int frames)`
    `void` | `resample_nearest(int sample_idx, int sample_frac, int step, int left_gain, int right_gain, int[] mix_buffer, int frame_offset, int frames)`
    `void` | `resample_sinc(int sample_idx, int sample_frac, int step, int left_gain, int right_gain, int[] mix_buffer, int frame_offset, int frames)`
    `void` | `set_sample_data(short[] data, int loop_start, int loop_length, boolean ping_pong)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### set_panning

          public boolean set_panning

    - #### volume

          public int volume

    - #### panning

          public int panning

    - #### transpose

          public int transpose

  - ### Constructor Detail

    - #### Sample

          public Sample()

  - ### Method Detail

    - #### set_sample_data

          public void set_sample_data(short[] data,
                             int loop_start,
                             int loop_length,
                             boolean ping_pong)

    - #### resample_nearest

          public void resample_nearest(int sample_idx,
                              int sample_frac,
                              int step,
                              int left_gain,
                              int right_gain,
                              int[] mix_buffer,
                              int frame_offset,
                              int frames)

    - #### resample_linear

          public void resample_linear(int sample_idx,
                             int sample_frac,
                             int step,
                             int left_gain,
                             int right_gain,
                             int[] mix_buffer,
                             int frame_offset,
                             int frames)

    - #### resample_sinc

          public void resample_sinc(int sample_idx,
                           int sample_frac,
                           int step,
                           int left_gain,
                           int right_gain,
                           int[] mix_buffer,
                           int frame_offset,
                           int frames)

    - #### has_finished

          public boolean has_finished(int sample_idx)